/* ----- Loading animation----- */
#loading {
	justify-content: center;
	flex-wrap: nowrap;
	width: 100vw;
	height: 100vh;
	background: #F5F9F9;
	transition: all 1s;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 9999;
}
.loaded {
	opacity: 0;
	visibility: hidden;
}
.logo_area {
	width: 200px;
	margin: -60px 0 0;
}


/* ----- Header----- */
header {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	width: 100%;
	padding: 24px;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 5;
}
.head_logo {
	width: 110px;
}
.head_logo img {
	width: 100%;
	height: auto;
}
.container {
	flex-direction: column;
	justify-content: center;
	margin: 100px 0;
}

nav {
	font-family: 'Trebuchet MS',sans-serif;
	flex-direction: row;
	justify-content: right;
	gap: 24px;
}
nav a {
	display: block;
	padding: 8px 0;
	line-height: .8;
}
.pc_nav {
	font-size: 18px;
	font-weight: 500;
}

.button_open {
	display: none;
}


/* ----- Content ----- */
#work, #skill, #about {
	flex-direction: column;
	justify-content: center;
}
.content_row {
	flex-direction: row;
	align-items: start;
}
.content_row , .content_column {
	width: 100%;
}
.content_column h2, .content_column .tag {
	margin: 0 0 20px;
}

/* ----- Work ----- */
#work .content_row {
	justify-content: start;
	gap: 100px 20px;
	margin: 0 0 100px;
}
#work .content_row a {
	display: block;
	width: 320px;
}
#work a:hover img {
	transform: scale(1.1);
}
#work p {
	font-size: 18px;
	font-weight: 600;
	margin: 12px 0;
}
.thumbnail {
	width: 100%;
	height: 180px;
	overflow: hidden;
}
.thumbnail img {
	width: 100%;
	height: 100%;
	position: relative;
	box-sizing: border-box;
	transition: transform .6s ease;
	object-fit: cover;
}
.tag {
	display: flex;
	flex-wrap: wrap;
	gap: 8px 12px;
}
.tag span {
	display: inline-block;
	font-size: 12px;
	padding: 4px 12px;
	background: #6899AD;
	color: #f5f9f9;
}
.button {
	width: 360px;
	padding: 24px 0;
	display: block;
	background: #26586E;
	color: #F5F9F9;
	font-weight: 600;
	text-align: center;
	box-sizing: border-box;
	transition: all .3s;
	letter-spacing: 0.1em;
}
.button:link, .button:visited {
	color: #F5F9F9;
}

/* ----- Skill ----- */
.skill_list {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	gap: 20px;
}
.skill_card {
	width: calc(980px/2);
	padding: 16px;
	background: #fff;
}
.skill_card img {
	width: 100%;
	height: auto;
}
.skill_content {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
}

/* ----- about ----- */
#about p {
	text-align: center;
}
.list_box {
	flex-direction: row;
	justify-content: center;
	align-items: start;
	align-content: start;
	font-weight: 500;
	padding: 0;
}
.list_box li:not(:last-child):after {
	content:"/";
	padding: 0 8px;
}

/* ----- Works ----- */
.filter {
	margin: 0 0 40px;
	justify-content: center;
}
.filter span {
	cursor: pointer;
}
.filter_show {
	display: block;
}
.filter_disable {
	display: none !important;
}
.filter_active {
	background: #f5f9f9!important;
	color: #6899AD!important;
	box-sizing: border-box;
	border: 1px solid #6899AD;
}
.caption {
	font-size: 15px;
	font-weight: 400;
	line-height: 1.75;
	margin: 0 0 20px 0;
}
.data {
	margin: 0 0 40px;
}
.data .flex {
	margin: 0 0 12px 0;
	gap: 16px;
	font-size: 13px;
	line-height: 1.75;
}
.item_left {
	width: 90px;
	font-weight: 600;
	color: #26586E;
}
.item_right {
	width: calc(100% - 106px);
}
.square_video {
	margin: 0 0 20px;
	text-align: center;
}
.works_image:not(:last-child) {
	margin: 0 0 20px;
}
.video_container {
	height: 0;
	position: relative;
	padding-top: 56.25%;
	margin: 0 0 20px;
}
iframe {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
}


/* ----- footer ----- */
footer {
	border-top: 1px solid #26586E;
	padding: 16px 0 0 0;
}
footer nav {
	justify-content: center;
	gap: 20px;
}
footer nav a, footer nav a:last-child {
	padding: 0;
}
footer p {
	text-align: center;
}

@media screen and (min-width:1024px) {
	header nav a {
		position: relative;
	}
	header nav a::before {
		content: '';
		width: 100%;
		height: 2px;
		background: #6899AD;
		position: absolute;
		left: 0;
		bottom: 1px;
		transform-origin: top right;
		transform: scale(0, 1);
		transition: transform .3s;
		border-radius: 5px;
	}
	header nav a:hover::before {
		transform-origin: top left;
		transform: scale(1, 1);
	}
	.button:hover {
		transition: all .3s;
		letter-spacing: 0.25em;
	}
}
@media screen and (min-width:768px) {
	.menu_dialog {
		display: none !important;
	}
}

@media screen and (max-width:1023px) {
	#work .content_row a {
		width: calc((100% - 40px)/3);
	}
	#skill .content_row {
		gap: 20px;
	}
	.skill_card {
		width: calc((100% - 20px)/2);
	}
	.thumbnail {
		height: 160px;
	}
}
@media screen and (max-width:767px) {
	.button_open {
		display: block;
		width: 40px;
		height: 40px;
		position: relative;
		border: none;
		background: transparent;
	}
	.button_open:hover {
		cursor: pointer;
	}
	.button_open::before {
		content: '';
		width: 24px;
		height: 2px;
		border-radius: 20px;
		background: #052533;
		box-shadow: 0 -6px 0 #052533, 0 6px 0 #052533;
		position: absolute;
		left: 7px;
		top: 18px;
	}
	.button_close {
		width: 40px;
		height: 40px;
		background: transparent;
		border: 0;
		position: relative;
		transition: all.4s allow-discrete;
	}
	.button_close:hover {
		cursor: pointer;
	}
	.button_close::after {
		content: '';
		width: 2px;
		height: 30px;
		border-radius: 5px;
		background: #052533;
		rotate: 45deg;
		position: absolute;
		top: 5px;
		left: 19px;
	}
	.button_close::before {
		content: '';
		width: 30px;
		height: 2px;
		border-radius: 5px;
		background: #052533;
		rotate: 45deg;
		position: absolute;
		top: 19px;
		left: 5px;
	}
	.sp_nav {
		font-size: 20px;
	}
	.sp_nav a {
		display: block;
	}
	.sp_nav a:not(:last-child) {
		margin: 0 0 32px;
	}
	.pc_nav {
		display: none;
	}
	.menu_dialog {
		width: 440px;
		height: 100vh;
		max-width: none;
		max-height: none;
		inset: 0 0 0 auto;
		margin: 0;
		border: 0;
		padding: 24px;
		overflow: visible;
		position: fixed;
		background: #F5F9F9;
		translate: 640px 0;
		--spring: linear(0, 0.0464, 0.0915, 0.1353, 0.1779, 0.2193, 0.2595, 0.2986, 0.3364, 0.3731, 0.4087, 0.4432, 0.4765, 0.5088, 0.54, 0.5701, 0.5992, 0.6273, 0.6544, 0.6805, 0.7056, 0.7298, 0.753, 0.7753, 0.7967, 0.8172, 0.8368, 0.8556, 0.8735, 0.8906, 0.9069, 0.9224, 0.9371, 0.9511, 0.9643, 0.9768, 0.9885, 0.9996, 1.01, 1.0197, 1.0288, 1.0372, 1.0451, 1.0523, 1.059, 1.065, 1.0706, 1.0756, 1.08, 1.084, 1.0875, 1.0905, 1.0931, 1.0952, 1.0969, 1.0982, 1.0991, 1.0997, 1.0998, 1.0997, 1.0992, 1.0984, 1.0973, 1.096, 1.0943, 1.0925, 1.0904, 1.0881, 1.0856, 1.0829, 1.0801, 1.0771, 1.074, 1.0708, 1.0675, 1.0641, 1.0606, 1.0571, 1.0535, 1.05, 1.0464, 1.0429, 1.0393, 1.0359, 1.0325, 1.0291, 1.0259, 1.0228, 1.0198, 1.017, 1.0143, 1.0118, 1.0095, 1.0074, 1.0055, 1.0039, 1.0025, 1.0015, 1.0007, 1.0002, 1);
		transition: all .6s var(--spring) allow-discrete, overlay 1s allow-discrete, display 1s allow-discrete;
		opacity: 0;
	}
	.menu_dialog::after {
		content: '';
		position: absolute;
		inset-block: 0;
		right: -120px;
		inline-size: 120px;
		background: #F5F9F9;
	}
	.menu_dialog[open] {
		translate: 0 0;
		opacity: 1;
		@starting-style {
			opacity: 0;
			translate: 640px 0;
		}
	}
	.menu_header {
		justify-content: right;
		margin: 0 0 32px 0;
	}
	body:has(dialog[open]) {
		overflow: hidden;
	}
	#work .content_row a {
		width: calc((100% - 20px)/2);
	}
	.thumbnail {
		height: 180px;
	}
}
@media screen and (max-width:479px) {
	#work .content_row a, .skill_card, .button {
		width: 100%;
	}
	.thumbnail {
		height: 200px;
	}
	.menu_dialog {
		width: 100%;
		position: fixed;
		transition: all.4s allow-discrete;
		translate: 0 0;
	}
	#work .content_row {
		gap: 40px 20px;
	}
	.menu_dialog[open] {
		@starting-style {
			translate: 0 0;
		}
	}
	.menu_header {
		justify-content: right;
		margin: 0 0 32px 0;
	}
	.menu_dialog[open] .button_close {
		rotate: 90deg;
		@starting-style {
			rotate: 0deg;
		}
	}
	.sp_nav a {
		transition: all .4s;
		opacity: 0;
	}
	.sp_nav a:nth-child(1) {
		animation: sp_nav .4s ease .2s 1 forwards;
	}
	.sp_nav a:nth-child(2) {
		animation: sp_nav .4s ease .4s 1 forwards;
	}
	.sp_nav a:nth-child(3) {
		animation: sp_nav .4s ease .6s 1 forwards;
	}
	.sp_nav a:nth-child(4) {
		animation: sp_nav .4s ease .8s 1 forwards;
	}
	dialog::backdrop {
		background: transparent;
	}
}

@keyframes sp_nav {
	100% {
		opacity: 1;
	}
}
